<?php


namespace Heanup\Config;


use Heanup\Frame\Config;

class Proxy extends Config
{
    public static function getData($section = null)
    {
        $proxy=\Heanup\Library\Proxy::instance()->connect()->zRangeByScore("proxies:universal", 25, 25);
        if ($proxy){
            $proxy=$proxy[rand(0,count($proxy)-1)];
        }else{
            return "myhome.97admin.com:34185";
        }
//        $proxy=file_get_contents("http://www.97admin.com:5555/random");
        define("USE_HOME", $proxy);
        //        $data = json_decode($data, true);
        return $proxy;
    }
}